GET api/OrderFulfillment?pids={pids}&brands={brands}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| pids | string |
Required |
|
| brands | string |
Required |
Body Parameters
None.
Response Information
Resource Description
Collection of productVariantInfoModel| Name | Description | Type | Additional information |
|---|---|---|---|
| productId | integer |
None. |
|
| colour | integer |
None. |
|
| colourName | string |
None. |
|
| capacity | integer |
None. |
|
| capacityName | string |
None. |
|
| manufacture | integer |
None. |
|
| expiry | string |
None. |
|
| photos | Collection of Object |
None. |
|
| description | string |
None. |
|
| categoryName | string |
None. |
|
| conditionName | string |
None. |
|
| quantity | integer |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"$id": "1",
"productId": 1,
"colour": 2,
"colourName": "sample string 3",
"capacity": 4,
"capacityName": "sample string 5",
"manufacture": 6,
"expiry": "sample string 7",
"photos": null,
"description": "sample string 8",
"categoryName": "sample string 9",
"conditionName": "sample string 10",
"quantity": 11
},
{
"$ref": "1"
}
]